-1
Err http://ppa.launchpad.net/jacob/media/ubuntu/ saucy/main rhythmbox amd64 3.0.1-1ubuntu5~ppa0
  Connection failed
Err http://ppa.launchpad.net/jacob/media/ubuntu/ saucy/main rhythmbox-mozilla amd64 3.0.1-1ubuntu5~ppa0
  Connection failed

This is the error I get when i try to install rhythmbox v3. What should i do?

Below is the output of apt-cache policy rhythmbox

rhythmbox: Installed: (none) Candidate: 3.0.1-1ubuntu5~ppa0 Version table: 
3.0.1-1ubuntu5~ppa0 0 500 ppa.launchpad.net/jacob/media/ubuntu saucy/main amd64 Packages 100 /var/lib/dpkg/status 
3.0-1~ppafossfreedomubuntu7 0 500 ppa.launchpad.net/fossfreedom/rhythmbox/ubuntu saucy/main amd64 Packages 
2.99.1-0ubuntu1 0 500 in.archive.ubuntu.com/ubuntu saucy/main amd64 Packages 

Output of sudo apt-get install rhythmbox

Err ppa.launchpad.net/jacob/media/ubuntu saucy/main rhythmbox amd64 3.0.1-1ubuntu5~ppa0 Connection failed 0% [Waiting for headers]

I tried removing the PPA, and after that I ran sudo apt-get install rhyhmbox. Now its showing this.

The following packages have unmet dependencies: 
rhythmbox : Depends: librhythmbox-core8 (= 3.0-1~ppafossfreedomubuntu7) but 3.0.1-1ubuntu5~ppa0 is to be installed 
Depends: rhythmbox-data (= 3.0-1~ppafossfreedomubuntu7) but it is not going to be installed 
Recommends: gstreamer1.0-plugins-ugly but it is not going to be installed 
Recommends: rhythmbox-plugins but it is not going to be installed 
E: Unable to correct problems, you have held broken packages.
  • E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing? This is the next line after the above error msg. – user293471 Mar 23 '14 at 5:10
  • Run sudo apt-get update – Avinash Raj Mar 23 '14 at 5:17
  • did that. not working – user293471 Mar 23 '14 at 5:21
  • Did you have an working internet connection? – Avinash Raj Mar 23 '14 at 5:33
  • yes the internet was working – user293471 Mar 23 '14 at 5:58
0

Here is what I did, and it works. Remove any previous installations, and any plug-ins.

Just press Ctrl+Alt+T on your keyboard to open Terminal. When it opens, run the command(s) below:

sudo apt-add-repository --remove ppa:fossfreedom/rhythmbox
sudo apt-add-repository --remove ppa:jacob/media
sudo apt-get update

sudo apt-get purge rhythmbox rhythmbox-plugins

Then use this PPA to install:

sudo add-apt-repository ppa:jacob/media
sudo apt-get update
sudo apt-get install rhythmbox

See image below:

enter image description here

| improve this answer | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.